| Home | Libraries | People | FAQ | More

##### parse_options::numbers

Number pasing mode.

###### Synopsis

    number_precision numbers = number_precision::imprecise;

###### Description

This selects the way to parse numbers. The default is to parse them fast, but with possible slight imprecision for floating point numbers with larger mantissas. Users can also choose to parse numbers slower but with full precision. Or to not parse them at all, and only validate numbers. The latter mode is useful for `basic_parser` instantiations that wish to treat numbers in a custom way.

###### See Also

`basic_parser`, `stream_parser`.